Overview
PUT
/billing/subscription-tiers/{id}billingUpdate subscription_tiers
Replace a record in subscription-tiers by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Request body
application/json · optional
- keyoptionalstring
- nameoptionalstring
- descriptionoptionalstring?
- displayOrderoptionalinteger
- isActiveoptionalboolean
Example
{
"key": "string",
"name": "string",
"description": "string",
"displayOrder": 0,
"isActive": true
}Responses
200
subscription_tiers
- idstring
- keystring
- namestring
- descriptionstring?
- displayOrderinteger
- isActiveboolean
- createdAtstring
- updatedAtstring
Example
{
"id": "string",
"key": "string",
"name": "string",
"description": "string",
"displayOrder": 0,
"isActive": true,
"createdAt": "string",
"updatedAt": "string"
}400
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X PUT "https://api.agenticdeveloperhub.com/billing/subscription-tiers/{id}" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"key": "string",
"name": "string",
"description": "string",
"displayOrder": 0,
"isActive": true
}'JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/billing/subscription-tiers/{id}", {
method: "PUT",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: "{\n \"key\": \"string\",\n \"name\": \"string\",\n \"description\": \"string\",\n \"displayOrder\": 0,\n \"isActive\": true\n}",
});
const data = await res.json();